# Database Connection (DBAL Module)

We can use Ecotone's simple Connection setup to define Connection to be used by [Dbal Module](/modules/dbal-support.md).

## Using existing Connection

To reuse existing Connection add Service to your existing setup under *DbalConnectionFactory* name:

```php
$application = EcotoneLite::boostrap(
    containerOrAvailableServices: [
        DbalConnectionFactory::class => DbalConnection::create(
            $connection  // Doctrine\DBAL\Connection
        )
    ]
);
```

## Configuring Connection from DSN

To define the Connection add Service to your existing setup under *DbalConnectionFactory* name:

```php
$application = EcotoneLite::boostrap(
    containerOrAvailableServices: [
        DbalConnectionFactory::class => DbalConnection::fromDsn('pgsql://user:password@host:5432/db_name')
    ]
);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecotone.tech/modules/ecotone-lite/database-connection-dbal-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
